Owostack

Receive a provider webhook

Provider webhook endpoint for any supported payment adapter. The organization can be addressed by ID or slug.

POST
/webhooks/{organizationId}/{provider}

Path Parameters

organizationId*string
provider*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.owostack.com/webhooks/string/string"
{
  "success": true,
  "received": true,
  "skipped": true,
  "error": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}

AI Chat

Owostack docs assistant

Start a new chat below.